# 车场管理功能需求文档

## 通用操作

- 删除：将正常状态的数据删除，删除后，数据不可恢复。（软删除）

- 数值符号：如无特殊说明，所有数值类型默认为__无符号数__。

## 名词定义

| 名称   | 定义                                                 |
| ---- | -------------------------------------------------- |
| 车场   | 具有一定数量的车位，能够存放车辆的建筑空间；                             |
| 车位   | 将车场划分为多个停车位置的物理空间，分人防车位，公共车位和产权车位，其中产权车位可以用来出售，出租。 |
| 车辆   | 指各类机动车辆（含电动自行车）                                    |
| 新能源车 | 符合国家规范的纯电动或混合动力的汽车，一般悬挂绿色车牌。                       |
|      |                                                    |

## 车场管理

车场管理用于管理小区的车场信息。

### 表单字段说明

| 字段名称   | 字段类型   | 备注                                                            | 是否必填 |
| ------ | ------ | ------------------------------------------------------------- | ---- |
| 车场名称   | String | 小区唯一                                                          | 是    |
| 所属小区   | String | 关联车场所在小区的ID                                                   | 是    |
| 车场类型   | Enum   | 单选，可选值有地下，露天，简易棚，机械式，架空层，占道                                   | 是    |
| 层数     | Int    | 车场楼层数目，大于等于1，默认为1                                             | 否    |
| 车场面积   | Float  | 车场占地面积，最多可保留两位小数。不填则保持为0                                      | 否    |
| 车位数    | Float  | 车场中车位数量，不影响实际添加车位数限制                                          | 否    |
| 出口数    | Int    | 车场出口数目，不填保持为0                                                 | 否    |
| 入口数    | Int    | 车场入口数目，不填保持为0                                                 | 否    |
| 车位是否编号 | Bool   | 车场车位是否进行了编号，如无编号且录入车位时未录入车位号，则添加车位时系统需要按递增的方式给车位赋予唯一编号，默认值为是。 | 否    |

### 业务说明

- 可见状态：新建的车场默认是可见的，后台暂不开放可见性设置功能。

- 数据状态：数据状态包括正常和已删除；新建的车场默认是正常状态，车场下已有车位或车辆时不允许删除。

- 唯一性约束：车场名称要求在所在小区是唯一的（已删除的不算重复）。

- 排序：按创建时间降序排列即可。

- 统计字段：下属车位数，下属车辆数

- 数据筛选：支持按小区筛选。

- 可编辑字段：可编辑车场名称，出口数，入口数，车场类型，层数，车场面积，车位编号；不允许更改所属小区。

- 扩展功能：考虑未来与停车系统对接，需要冗余停车系统车场编号（由平台统一管理），车场缴费链接(url)，车场对接信息由停车系统供应商提供，对接信息统一在平台管理后台设置。

- 停车系统对接：停车系统车辆出入场时，需要扫描车场缴费二维码（微信永久二维码），通过该二维码后台处理微信推送的事件消息后，通过向扫码用户推送停车缴费消息为临时车辆出场提供缴费入口。具体功能在平台的二维码管理功能。

## 车位管理


